org.apache.commons.math3.analysis.differentiation

## Interface UnivariateMatrixFunctionDifferentiator

All Known Implementing Classes:
  FiniteDifferencesDifferentiator

    public interface UnivariateMatrixFunctionDifferentiator

Interface defining the function differentiation operation.

Since:
  3.1
Version:
  $Id: UnivariateMatrixFunctionDifferentiator.java 1416643 2012-12-03 19:37:14Z tn $

### Method Summary

Methods
`UnivariateDifferentiableMatrixFunction` `differentiate(UnivariateMatrixFunction function)` Create an implementation of a `differential` from a regular `matrix function`.

### Method Detail

#### differentiate

    UnivariateDifferentiableMatrixFunction differentiate(UnivariateMatrixFunction function)

Create an implementation of a `differential` from a regular `matrix function`.

Parameters:
  `function` - function to differentiate
Returns:
  differential function